
export interface DrugDatensatz {
    name: string;  
    picture: string; 
    introduction: string;
    examples: Array<example>; 

}

interface example{
    title: string,
    text: string
}

export const drugdata: (Array<DrugDatensatz>)  = [
    {
        name: "About",
        picture: "...",
        introduction: "",
        examples: [
            {
                title: "",
                text: ""
            },
            {
                title: "",
                text: "string"
            },
        ]
    },
    {
        name: "Modulators",
        picture: "...",
        introduction: "CFTR modulators represent a significant advancement in CF treatment since they are small molecules improving the function of the defective CFTR protein in a mutation-specific way, which helps restore chloride ion transport across cell membranes. Notable pharmaceutical agents include Trikafta®, Symdeko®, Orkambi® and Kalydeco® [1]. These medications have been demonstrated to significantly improve lung function and reduce pulmonary exacerbations. However, they are expensive and may cause side effects such as liver enzyme elevations and cataracts in pediatric patients [2]. Furthermore, they are not suitable for all CF patients since only mutations which produce a CFTR channel can be supported by CFTR modulators, not those mutations which lead to a missing CFTR channel (knock out) [1], e.g. stop-mutations including p.Arg553Ter or p.Gly542Ter [3]. ",
        examples: [
            {
                title: "Trikafta",
                text: "Active ingredient(s): Combination of elexacaftor/tezacaftor/ivacaftor \n Indications: For CF patients aged 2 years and older with at least one F508del mutation à 85 % of CF patients \n Mechanism: Elexacaftor and tezacaftor act as correctors on misfolded CFTR and permit delivery to the cell surface, thereby improving the channel density at the plasma membrane, while ivacaftor as a potentiator acts on CFTR channels that have reached the cell surface and increase the gating and conductance of ions [5]. \n Administration: Oral tablets \n Approval: Approved by the EMA in 2020 "
            },
            {
                title: "Symdeko",
                text: "Active ingredient(s): Combination of tezacaftor and ivacaftor \n Indications: For CF patients aged 6 years and older with specific mutations in combination with F508del or with two copies of F508del mutation \n Mechanism: Tezacaftor acts as a corrector on misfolded CFTR and permit delivery to the cell surface, thereby improving the channel density at the plasma membrane, while ivacaftor as a potentiator acts on CFTR channels that have reached the cell surface and increase the gating and conductance of ions [5] \n Administration: Oral tablets \n Approval: Approved by the EMA in 2018"
            },
        ]
    },
    {
        name: "Modulators",
        picture: "...",
        introduction: "",
        examples: [
            {
                title: "",
                text: "test"
            },
            {
                title: "",
                text: "test2"
            },
        ]
    }
]